function _slicedToArray(r, e) { return _arrayWithHoles(r) || _iterableToArrayLimit(r, e) || _unsupportedIterableToArray(r, e) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(r, a) { if (r) { if ("string" == typeof r) return _arrayLikeToArray(r, a); var t = {}.toString.call(r).slice(8, -1); return "Object" === t && r.constructor && (t = r.constructor.name), "Map" === t || "Set" === t ? Array.from(r) : "Arguments" === t || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(t) ? _arrayLikeToArray(r, a) : void 0; } }
function _arrayLikeToArray(r, a) { (null == a || a > r.length) && (a = r.length); for (var e = 0, n = Array(a); e < a; e++) n[e] = r[e]; return n; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(r) { if (Array.isArray(r)) return r; }
import { createContext, useContext, useEffect, useState } from 'react';
import React from 'react';
import { BizGlobalDataContext, ajax } from '@zgfe/business-lib';
import apis from './constants/api';
export var CdpContext = /*#__PURE__*/createContext({});
var CdpContextWrapper = function CdpContextWrapper(_ref) {
  var children = _ref.children;
  var _useState = useState([]),
    _useState2 = _slicedToArray(_useState, 2),
    categoryList = _useState2[0],
    setCategoryList = _useState2[1];
  var _useContext = useContext(BizGlobalDataContext),
    currentApp = _useContext.currentApp,
    currentUser = _useContext.currentUser,
    currentProject = _useContext.currentProject;
  function queryLinkCategory() {
    ajax(apis.queryLinkCategory, {
      params: {
        projectId: currentProject === null || currentProject === void 0 ? void 0 : currentProject.projectId
      }
    }).then(function (res) {
      if (!res) return;
      setCategoryList((currentApp === null || currentApp === void 0 ? void 0 : currentApp.appVersion) === 2 && (currentUser === null || currentUser === void 0 ? void 0 : currentUser.cdpVersion) === 1 ? res.data.filter(function (item) {
        return item.name === 'excel';
      }) : res.data);
    }).catch(function (err) {
      console.error('查询连接列表失败', err);
    });
  }
  useEffect(function () {
    queryLinkCategory();
  }, []);
  return /*#__PURE__*/React.createElement(CdpContext.Provider, {
    value: {
      categoryList: categoryList,
      queryLinkCategory: queryLinkCategory
    }
  }, /*#__PURE__*/React.createElement("div", {
    style: {
      fontSize: 14,
      height: '100%'
    }
  }, children));
};
export default CdpContextWrapper;